part of tecfy_core_client_package;

class ColorModel {
  int? backgroundColor;
  int? backgroundSecondColor;
  int? dangerColor;
  int? inactiveMenuTextColor;
  int? mainColor;
  int? mainColor2;

  // int? mainFont;
  int? secondColor;
  int? subColor;
  int? subColorLight;
  int? successColor;
  int? textMainColor;
  int? textSelectedColor;
  int? textSubColor;
  int? worningColor;

  ColorModel(
      {this.backgroundColor,
      this.backgroundSecondColor,
      this.dangerColor,
      this.inactiveMenuTextColor,
      this.mainColor,
      this.mainColor2,
      //   this.mainFont,
      this.secondColor,
      this.subColor,
      this.subColorLight,
      this.successColor,
      this.textMainColor,
      this.textSelectedColor,
      this.textSubColor,
      this.worningColor});

  ColorModel.fromJson(Map<String, dynamic> json) {
    backgroundColor = json['backgroundColor'];
    backgroundSecondColor = json['backgroundSecondColor'];
    dangerColor = json['dangerColor'];
    inactiveMenuTextColor = json['inactiveMenuTextColor'];
    mainColor = json['mainColor'];
    mainColor2 = json['mainColor2'];
    // mainFont = json['mainFont'];
    secondColor = json['secondColor'];
    subColor = json['subColor'];
    subColorLight = json['subColorLight'];
    successColor = json['successColor'];
    textMainColor = json['textMainColor'];
    textSelectedColor = json['textSelectedColor'];
    textSubColor = json['textSubColor'];
    worningColor = json['worningColor'];
  }

  toJson() {
    return {
      'backgroundColor': backgroundColor,
      'backgroundSecondColor': backgroundSecondColor,
      'dangerColor': dangerColor,
      'inactiveMenuTextColor': inactiveMenuTextColor,
      'mainColor': mainColor,
      'mainColor2': mainColor2,
      // 'mainFont':mainFont,
      'secondColor': secondColor,
      'subColor': subColor,
      'subColorLight': subColorLight,
      'successColor': successColor,
      'textMainColor': textMainColor,
      'textSelectedColor': textSelectedColor,
      'textSubColor': textSubColor,
      'worningColor': worningColor,
    };
  }
}
