part of tecfy_core_client_package;

class EntityCategory {
  ///  arabic name
  late String nameAr;

  /// english name
  late String nameEn;
  String get name => LocalConfigService.isArabic ? nameAr : nameEn;
  late String dbName;
  late List<Entity> entities;

  EntityCategory.fromMap(Map<String, dynamic> row) {
    nameAr = row['nameAr'];
    nameEn = row['nameEn'];
    dbName = row['dbName'];
    entities =
        row['childrenEntity']?.map<Entity>((d) => Entity.fromMap(d)).toList() ??
            [];
  }

  Map<String, dynamic> toJson() {
    return {
      'nameAr': nameAr,
      'nameEn': nameEn,
      'dbName': dbName,
      'childrenEntity': entities.toString(),
    };
  }
}
